Package org.drinkless.tdlib

# Class TdApi.MessageForumTopicEdited

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageForumTopicEdited

Enclosing class:
  `TdApi`

public static class TdApi.MessageForumTopicEdited extends TdApi.MessageContent
A forum topic has been edited.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `editIconCustomEmojiId`
  True, if icon's customEmojiId is changed.
  `long`
  `iconCustomEmojiId`
  New unique identifier of the custom emoji shown on the topic icon; 0 if none.
  `String`
  `name`
  If non-empty, the new name of the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageForumTopicEdited()`
  A forum topic has been edited.
  `MessageForumTopicEdited(String name, boolean editIconCustomEmojiId, long iconCustomEmojiId)`
  A forum topic has been edited.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    If non-empty, the new name of the topic.

  - ### editIconCustomEmojiId

    public boolean editIconCustomEmojiId
    True, if icon's customEmojiId is changed.

  - ### iconCustomEmojiId

    public long iconCustomEmojiId
    New unique identifier of the custom emoji shown on the topic icon; 0 if none. Must be ignored if editIconCustomEmojiId is false.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageForumTopicEdited

    public MessageForumTopicEdited()
    A forum topic has been edited.

  - ### MessageForumTopicEdited

    public MessageForumTopicEdited(String name, boolean editIconCustomEmojiId, long iconCustomEmojiId)
    A forum topic has been edited.
    Parameters:
      `name` - If non-empty, the new name of the topic.
      `editIconCustomEmojiId` - True, if icon's customEmojiId is changed.
      `iconCustomEmojiId` - New unique identifier of the custom emoji shown on the topic icon; 0 if none. Must be ignored if editIconCustomEmojiId is false.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR